summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsrc/monkeysphere4
-rw-r--r--src/share/ma/add_certifier12
-rw-r--r--src/share/mh/add_revoker12
-rwxr-xr-xtests/basic8
4 files changed, 25 insertions, 11 deletions
diff --git a/src/monkeysphere b/src/monkeysphere
index 0d8f4ff..fd96f45 100755
--- a/src/monkeysphere
+++ b/src/monkeysphere
@@ -87,9 +87,7 @@ check_gpg_sec_key_id() {
;;
*)
echo "Multiple primary secret keys found:"
- for key in $(echo "$gpgSecOut" | cut -d: -f5) ; do
- echo " $key"
- done
+ echo "$gpgSecOut" | cut -d: -f5
echo "Please specify which primary key to use."
failure
;;
diff --git a/src/share/ma/add_certifier b/src/share/ma/add_certifier
index a48db64..6f85ecf 100644
--- a/src/share/ma/add_certifier
+++ b/src/share/ma/add_certifier
@@ -120,7 +120,17 @@ else
# get the full fingerprint of new certifier key
log debug "getting fingerprint of certifier key..."
fingerprint=$(gpg_sphere "--list-key --with-colons --with-fingerprint 0x${keyID}!" \
- | grep '^fpr:' | grep "$keyID" | cut -d: -f10)
+ | grep '^fpr:' | cut -d: -f10)
+
+ # test that there is only a single fingerprint
+ if (( $(echo "$fingerprint" | wc -l) != 1 )) ; then
+ cat <<EOF
+More than one fingerprint found:
+$fingerprint
+Please use a more specific key ID.
+EOF
+ failure
+ fi
log info "key found:"
gpg_sphere "--fingerprint 0x${fingerprint}!"
diff --git a/src/share/mh/add_revoker b/src/share/mh/add_revoker
index 18ad2b7..2ae531e 100644
--- a/src/share/mh/add_revoker
+++ b/src/share/mh/add_revoker
@@ -74,7 +74,17 @@ else
# get the full fingerprint of new revoker key
log debug "getting fingerprint of revoker key..."
fingerprint=$(su_monkeysphere_user "GNUPGHOME=$tmpDir gpg --list-key --with-colons --with-fingerprint 0x${keyID}!" \
- | grep '^fpr:' | grep "$keyID" | cut -d: -f10)
+ | grep '^fpr:' | cut -d: -f10)
+
+ # test that there is only a single fingerprint
+ if (( $(echo "$fingerprint" | wc -l) != 1 )) ; then
+ cat <<EOF
+More than one fingerprint found:
+$fingerprint
+Please use a more specific key ID.
+EOF
+ failure
+ fi
log info "key found:"
su_monkeysphere_user "GNUPGHOME=$tmpDir gpg --fingerprint 0x${fingerprint}!"
diff --git a/tests/basic b/tests/basic
index c7c4b07..9c5b280 100755
--- a/tests/basic
+++ b/tests/basic
@@ -65,20 +65,16 @@ ssh_test() {
sleep 1
done
- set +e
-
# make a client connection to the socket
echo "##### starting ssh client..."
ssh-agent bash -c \
- "monkeysphere subkey-to-ssh-agent && ssh -F $TEMPDIR/testuser/.ssh/config testhost true"
- RETURN="$?"
+ "monkeysphere subkey-to-ssh-agent && ssh -F $TEMPDIR/testuser/.ssh/config testhost true" \
+ || RETURN="$?"
# kill the sshd process if it's still running
kill "$SSHD_PID"
SSHD_PID=
- set -e
-
echo "##### return $RETURN"
if [ "$RETURN" = "$CODE" ] ; then
echo "##### ssh connection test returned as desired"